diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-extension.h ns-3.44/src/internet/model/ipv6-extension.h
--- ns-3.43/src/internet/model/ipv6-extension.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-extension.h	2025-03-09 16:55:49.399371100 -0700
@@ -31,14 +31,14 @@
 {
 
 /**
- * \ingroup ipv6
- * \defgroup ipv6HeaderExt IPV6 Header extension system.
+ * @ingroup ipv6
+ * @defgroup ipv6HeaderExt IPV6 Header extension system.
  */
 
 /**
- * \ingroup ipv6HeaderExt
+ * @ingroup ipv6HeaderExt
  *
- * \brief IPv6 Extension base
+ * @brief IPv6 Extension base
  * If you want to implement a new IPv6 extension, all you have to do is
  * implement a subclass of this class and add it to an Ipv6ExtensionDemux.
  */
@@ -46,52 +46,52 @@
 {
   public:
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6Extension();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6Extension() override;
 
     /**
-     * \brief Set the node.
-     * \param node the node to set
+     * @brief Set the node.
+     * @param node the node to set
      */
     void SetNode(Ptr<Node> node);
 
     /**
-     * \brief Get the node.
-     * \return the node
+     * @brief Get the node.
+     * @return the node
      */
     Ptr<Node> GetNode() const;
 
     /**
-     * \brief Get the extension number.
-     * \return extension number
+     * @brief Get the extension number.
+     * @return extension number
      */
     virtual uint8_t GetExtensionNumber() const = 0;
 
     /**
-     * \brief Process method
+     * @brief Process method
      * Called from Ipv6L3Protocol::Receive.
      *
-     * \param packet the packet
-     * \param offset the offset of the extension to process
-     * \param ipv6Header the IPv6 header of packet received
-     * \param dst destination address of the packet received (i.e. us)
-     * \param nextHeader the next header
-     * \param stopProcessing true if the packet must not be further processed
-     * \param isDropped true if the packet must be dropped
-     * \param dropReason dropping reason
-     * \return the size processed
+     * @param packet the packet
+     * @param offset the offset of the extension to process
+     * @param ipv6Header the IPv6 header of packet received
+     * @param dst destination address of the packet received (i.e. us)
+     * @param nextHeader the next header
+     * @param stopProcessing true if the packet must not be further processed
+     * @param isDropped true if the packet must be dropped
+     * @param dropReason dropping reason
+     * @return the size processed
      */
     virtual uint8_t Process(Ptr<Packet>& packet,
                             uint8_t offset,
@@ -103,19 +103,19 @@
                             Ipv6L3Protocol::DropReason& dropReason) = 0;
 
     /**
-     * \brief Process options
+     * @brief Process options
      * Called by implementing classes to process the options
      *
-     * \param packet the packet
-     * \param offset the offset of the first option to process
-     * \param length the total length of all options (as specified in the extension header)
-     * \param ipv6Header the IPv6 header of packet received
-     * \param dst destination address of the packet received (i.e. us)
-     * \param nextHeader the next header
-     * \param stopProcessing true if the packet must not be further processed
-     * \param isDropped true if the packet must be dropped
-     * \param dropReason dropping reason
-     * \return the size processed
+     * @param packet the packet
+     * @param offset the offset of the first option to process
+     * @param length the total length of all options (as specified in the extension header)
+     * @param ipv6Header the IPv6 header of packet received
+     * @param dst destination address of the packet received (i.e. us)
+     * @param nextHeader the next header
+     * @param stopProcessing true if the packet must not be further processed
+     * @param isDropped true if the packet must be dropped
+     * @param dropReason dropping reason
+     * @return the size processed
      */
     virtual uint8_t ProcessOptions(Ptr<Packet>& packet,
                                    uint8_t offset,
@@ -132,56 +132,56 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
   protected:
     /**
-     * \brief Provides uniform random variables.
+     * @brief Provides uniform random variables.
      */
     Ptr<UniformRandomVariable> m_uvar;
 
   private:
     /**
-     * \brief The node.
+     * @brief The node.
      */
     Ptr<Node> m_node;
 };
 
 /**
- * \ingroup ipv6HeaderExt
+ * @ingroup ipv6HeaderExt
  *
- * \brief IPv6 Extension "Hop By Hop"
+ * @brief IPv6 Extension "Hop By Hop"
  */
 class Ipv6ExtensionHopByHop : public Ipv6Extension
 {
   public:
     /**
-     * \brief Hop-by-hop extension number.
+     * @brief Hop-by-hop extension number.
      */
     static const uint8_t EXT_NUMBER = 0;
 
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6ExtensionHopByHop();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6ExtensionHopByHop() override;
 
     /**
-     * \brief Get the extension number.
-     * \return extension number
+     * @brief Get the extension number.
+     * @return extension number
      */
     uint8_t GetExtensionNumber() const override;
 
@@ -196,37 +196,37 @@
 };
 
 /**
- * \ingroup ipv6HeaderExt
+ * @ingroup ipv6HeaderExt
  *
- * \brief IPv6 Extension Destination
+ * @brief IPv6 Extension Destination
  */
 class Ipv6ExtensionDestination : public Ipv6Extension
 {
   public:
     /**
-     * \brief Destination extension number.
+     * @brief Destination extension number.
      */
     static const uint8_t EXT_NUMBER = 60;
 
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6ExtensionDestination();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6ExtensionDestination() override;
 
     /**
-     * \brief Get the extension number.
-     * \return extension number
+     * @brief Get the extension number.
+     * @return extension number
      */
     uint8_t GetExtensionNumber() const override;
 
@@ -241,37 +241,37 @@
 };
 
 /**
- * \ingroup ipv6HeaderExt
+ * @ingroup ipv6HeaderExt
  *
- * \brief IPv6 Extension Fragment
+ * @brief IPv6 Extension Fragment
  */
 class Ipv6ExtensionFragment : public Ipv6Extension
 {
   public:
     /**
-     * \brief Fragmentation extension number.
+     * @brief Fragmentation extension number.
      */
     static const uint8_t EXT_NUMBER = 44;
 
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6ExtensionFragment();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6ExtensionFragment() override;
 
     /**
-     * \brief Get the extension number.
-     * \return extension number
+     * @brief Get the extension number.
+     * @return extension number
      */
     uint8_t GetExtensionNumber() const override;
 
@@ -285,18 +285,18 @@
                     Ipv6L3Protocol::DropReason& dropReason) override;
 
     /**
-     * \brief Pair of a packet and an Ipv6 header.
+     * @brief Pair of a packet and an Ipv6 header.
      */
     typedef std::pair<Ptr<Packet>, Ipv6Header> Ipv6PayloadHeaderPair;
 
     /**
-     * \brief Fragment a packet.
+     * @brief Fragment a packet.
      *
-     * \param packet the packet.
-     * \param ipv6Header the IPv6 header.
-     * \param fragmentSize the maximal size of the fragment (unfragmentable part + fragmentation
+     * @param packet the packet.
+     * @param ipv6Header the IPv6 header.
+     * @param fragmentSize the maximal size of the fragment (unfragmentable part + fragmentation
      * header + fragmentable part).
-     * \param listFragments the list of fragments.
+     * @param listFragments the list of fragments.
      */
     void GetFragments(Ptr<Packet> packet,
                       Ipv6Header ipv6Header,
@@ -305,7 +305,7 @@
 
   protected:
     /**
-     * \brief Dispose this object.
+     * @brief Dispose this object.
      */
     void DoDispose() override;
 
@@ -326,133 +326,133 @@
         FragmentsTimeoutsListI_t;
 
     /**
-     * \ingroup ipv6HeaderExt
+     * @ingroup ipv6HeaderExt
      *
-     * \brief This class stores the fragments of a packet waiting to be rebuilt.
+     * @brief This class stores the fragments of a packet waiting to be rebuilt.
      */
     class Fragments : public SimpleRefCount<Fragments>
     {
       public:
         /**
-         * \brief Constructor.
+         * @brief Constructor.
          */
         Fragments();
 
         /**
-         * \brief Destructor.
+         * @brief Destructor.
          */
         ~Fragments();
 
         /**
-         * \brief Add a fragment.
-         * \param fragment the fragment
-         * \param fragmentOffset the offset of the fragment
-         * \param moreFragment the bit "More Fragment"
+         * @brief Add a fragment.
+         * @param fragment the fragment
+         * @param fragmentOffset the offset of the fragment
+         * @param moreFragment the bit "More Fragment"
          */
         void AddFragment(Ptr<Packet> fragment, uint16_t fragmentOffset, bool moreFragment);
 
         /**
-         * \brief Set the unfragmentable part of the packet.
-         * \param unfragmentablePart the unfragmentable part
+         * @brief Set the unfragmentable part of the packet.
+         * @param unfragmentablePart the unfragmentable part
          */
         void SetUnfragmentablePart(Ptr<Packet> unfragmentablePart);
 
         /**
-         * \brief If all fragments have been added.
-         * \returns true if the packet is entire
+         * @brief If all fragments have been added.
+         * @returns true if the packet is entire
          */
         bool IsEntire() const;
 
         /**
-         * \brief Get the entire packet.
-         * \return the entire packet
+         * @brief Get the entire packet.
+         * @return the entire packet
          */
         Ptr<Packet> GetPacket() const;
 
         /**
-         * \brief Get the packet parts so far received.
-         * \return the partial packet
+         * @brief Get the packet parts so far received.
+         * @return the partial packet
          */
         Ptr<Packet> GetPartialPacket() const;
 
         /**
-         * \brief Set the Timeout iterator.
-         * \param iter The iterator.
+         * @brief Set the Timeout iterator.
+         * @param iter The iterator.
          */
         void SetTimeoutIter(FragmentsTimeoutsListI_t iter);
 
         /**
-         * \brief Get the Timeout iterator.
-         * \returns The iterator.
+         * @brief Get the Timeout iterator.
+         * @returns The iterator.
          */
         FragmentsTimeoutsListI_t GetTimeoutIter();
 
       private:
         /**
-         * \brief If other fragments will be sent.
+         * @brief If other fragments will be sent.
          */
         bool m_moreFragment;
 
         /**
-         * \brief The current fragments.
+         * @brief The current fragments.
          */
         std::list<std::pair<Ptr<Packet>, uint16_t>> m_packetFragments;
 
         /**
-         * \brief The unfragmentable part.
+         * @brief The unfragmentable part.
          */
         Ptr<Packet> m_unfragmentable;
 
         /**
-         * \brief Timeout iterator to "event" handler
+         * @brief Timeout iterator to "event" handler
          */
         FragmentsTimeoutsListI_t m_timeoutIter;
     };
 
     /**
-     * \brief Process the timeout for packet fragments
-     * \param key representing the packet fragments
-     * \param ipHeader the IP header of the original packet
+     * @brief Process the timeout for packet fragments
+     * @param key representing the packet fragments
+     * @param ipHeader the IP header of the original packet
      */
     void HandleFragmentsTimeout(FragmentKey_t key, Ipv6Header ipHeader);
 
     /**
-     * \brief Get the packet parts so far received.
-     * \return the partial packet
+     * @brief Get the packet parts so far received.
+     * @return the partial packet
      */
     Ptr<Packet> GetPartialPacket() const;
 
     /**
-     * \brief Set the Timeout EventId.
-     * \param event The event.
+     * @brief Set the Timeout EventId.
+     * @param event The event.
      */
     void SetTimeoutEventId(EventId event);
 
     /**
-     * \brief Cancel the timeout event
+     * @brief Cancel the timeout event
      */
     void CancelTimeout();
 
     /**
-     * \brief Container for the packet fragments.
+     * @brief Container for the packet fragments.
      */
     typedef std::map<FragmentKey_t, Ptr<Fragments>> MapFragments_t;
 
     /**
-     * \brief The hash of fragmented packets.
+     * @brief The hash of fragmented packets.
      */
     MapFragments_t m_fragments;
 
     /**
-     * \brief Set a new timeout "event" for a fragmented packet
-     * \param key the fragment identification
-     * \param ipHeader the IPv6 header of the fragmented packet
-     * \return an iterator to the inserted "event"
+     * @brief Set a new timeout "event" for a fragmented packet
+     * @param key the fragment identification
+     * @param ipHeader the IPv6 header of the fragmented packet
+     * @return an iterator to the inserted "event"
      */
     FragmentsTimeoutsListI_t SetTimeout(FragmentKey_t key, Ipv6Header ipHeader);
 
     /**
-     * \brief Handles a fragmented packet timeout
+     * @brief Handles a fragmented packet timeout
      */
     void HandleTimeout();
 
@@ -462,9 +462,9 @@
 };
 
 /**
- * \ingroup ipv6HeaderExt
+ * @ingroup ipv6HeaderExt
  *
- * \brief IPv6 Extension Routing.
+ * @brief IPv6 Extension Routing.
  *
  * If you want to implement a new IPv6 routing extension, all you have to do is
  * implement a subclass of this class and add it to an Ipv6ExtensionRoutingDemux.
@@ -473,42 +473,42 @@
 {
   public:
     /**
-     * \brief Routing extension number.
+     * @brief Routing extension number.
      */
     static const uint8_t EXT_NUMBER = 43;
 
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6ExtensionRouting();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6ExtensionRouting() override;
 
     /**
-     * \brief Get the extension number.
-     * \return extension number
+     * @brief Get the extension number.
+     * @return extension number
      */
     uint8_t GetExtensionNumber() const override;
 
     /**
-     * \brief Get the type of routing.
-     * \return type of routing
+     * @brief Get the type of routing.
+     * @return type of routing
      */
     virtual uint8_t GetTypeRouting() const;
 
     /**
-     * \brief Get a pointer to a new routing extension header.
+     * @brief Get a pointer to a new routing extension header.
      * The ownership is transferred to the caller.
-     * \return a pointer to a new routing extension header.
+     * @return a pointer to a new routing extension header.
      */
     virtual Ipv6ExtensionRoutingHeader* GetExtensionRoutingHeaderPtr();
 
@@ -523,117 +523,117 @@
 };
 
 /**
- * \ingroup ipv6HeaderExt
+ * @ingroup ipv6HeaderExt
  *
- * \brief IPv6 Extension Routing Demux.
+ * @brief IPv6 Extension Routing Demux.
  */
 class Ipv6ExtensionRoutingDemux : public Object
 {
   public:
     /**
-     * \brief The interface ID.
-     * \return type ID
+     * @brief The interface ID.
+     * @return type ID
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6ExtensionRoutingDemux();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6ExtensionRoutingDemux() override;
 
     /**
-     * \brief Set the node.
-     * \param node the node to set
+     * @brief Set the node.
+     * @param node the node to set
      */
     void SetNode(Ptr<Node> node);
 
     /**
-     * \brief Insert a new IPv6 Routing Extension.
-     * \param extensionRouting the routing extension to insert
+     * @brief Insert a new IPv6 Routing Extension.
+     * @param extensionRouting the routing extension to insert
      */
     void Insert(Ptr<Ipv6ExtensionRouting> extensionRouting);
 
     /**
-     * \brief Get the routing extension corresponding to typeRouting.
-     * \param typeRouting the number of the routing extension to retrieve
-     * \return a matching IPv6 routing extension
+     * @brief Get the routing extension corresponding to typeRouting.
+     * @param typeRouting the number of the routing extension to retrieve
+     * @return a matching IPv6 routing extension
      */
     Ptr<Ipv6ExtensionRouting> GetExtensionRouting(uint8_t typeRouting);
 
     /**
-     * \brief Get a pointer to a new routing extension header corresponding
+     * @brief Get a pointer to a new routing extension header corresponding
      * to typeRouting. The ownership is transferred to the caller.
-     * \param typeRouting the number of the routing extension to retrieve
-     * \return a pointer to a new routing extension header matching IPv6 routing extension
+     * @param typeRouting the number of the routing extension to retrieve
+     * @return a pointer to a new routing extension header matching IPv6 routing extension
      */
     Ipv6ExtensionRoutingHeader* GetExtensionRoutingHeaderPtr(uint8_t typeRouting);
 
     /**
-     * \brief Remove a routing extension from this demux.
-     * \param extensionRouting pointer on the extension to remove
+     * @brief Remove a routing extension from this demux.
+     * @param extensionRouting pointer on the extension to remove
      */
     void Remove(Ptr<Ipv6ExtensionRouting> extensionRouting);
 
   protected:
     /**
-     * \brief Dispose this object.
+     * @brief Dispose this object.
      */
     void DoDispose() override;
 
   private:
     /**
-     * \brief Container for the extension routing.
+     * @brief Container for the extension routing.
      */
     typedef std::list<Ptr<Ipv6ExtensionRouting>> Ipv6ExtensionRoutingList_t;
 
     /**
-     * \brief List of IPv6 Routing Extensions supported.
+     * @brief List of IPv6 Routing Extensions supported.
      */
     Ipv6ExtensionRoutingList_t m_extensionsRouting;
 
     /**
-     * \brief The node.
+     * @brief The node.
      */
     Ptr<Node> m_node;
 };
 
 /**
- * \ingroup ipv6HeaderExt
+ * @ingroup ipv6HeaderExt
  *
- * \brief IPv6 Extension Loose Routing
+ * @brief IPv6 Extension Loose Routing
  */
 class Ipv6ExtensionLooseRouting : public Ipv6ExtensionRouting
 {
   public:
     /**
-     * \brief Routing type.
+     * @brief Routing type.
      */
     static const uint8_t TYPE_ROUTING = 0;
 
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6ExtensionLooseRouting();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6ExtensionLooseRouting() override;
 
     /**
-     * \brief Get the type of routing.
-     * \return type of routing
+     * @brief Get the type of routing.
+     * @return type of routing
      */
     uint8_t GetTypeRouting() const override;
 
@@ -650,37 +650,37 @@
 };
 
 /**
- * \ingroup ipv6HeaderExt
+ * @ingroup ipv6HeaderExt
  *
- * \brief IPv6 Extension ESP (Encapsulating Security Payload)
+ * @brief IPv6 Extension ESP (Encapsulating Security Payload)
  */
 class Ipv6ExtensionESP : public Ipv6Extension
 {
   public:
     /**
-     * \brief ESP extension number.
+     * @brief ESP extension number.
      */
     static const uint8_t EXT_NUMBER = 50;
 
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6ExtensionESP();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6ExtensionESP() override;
 
     /**
-     * \brief Get the extension number.
-     * \return extension number
+     * @brief Get the extension number.
+     * @return extension number
      */
     uint8_t GetExtensionNumber() const override;
 
@@ -695,37 +695,37 @@
 };
 
 /**
- * \ingroup ipv6HeaderExt
+ * @ingroup ipv6HeaderExt
  *
- * \brief IPv6 Extension AH (Authentication Header)
+ * @brief IPv6 Extension AH (Authentication Header)
  */
 class Ipv6ExtensionAH : public Ipv6Extension
 {
   public:
     /**
-     * \brief AH extension number.
+     * @brief AH extension number.
      */
     static const uint8_t EXT_NUMBER = 51;
 
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6ExtensionAH();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6ExtensionAH() override;
 
     /**
-     * \brief Get the extension number.
-     * \return extension number
+     * @brief Get the extension number.
+     * @return extension number
      */
     uint8_t GetExtensionNumber() const override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-extension-header.cc ns-3.44/src/internet/model/ipv6-extension-header.cc
--- ns-3.43/src/internet/model/ipv6-extension-header.cc	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-extension-header.cc	2025-03-09 16:55:49.399371100 -0700
@@ -689,26 +689,26 @@
 void
 Ipv6ExtensionESPHeader::Print(std::ostream& os) const
 {
-    /** \todo */
+    /** @todo */
 }
 
 uint32_t
 Ipv6ExtensionESPHeader::GetSerializedSize() const
 {
-    /** \todo */
+    /** @todo */
     return 0;
 }
 
 void
 Ipv6ExtensionESPHeader::Serialize(Buffer::Iterator start) const
 {
-    /** \todo */
+    /** @todo */
 }
 
 uint32_t
 Ipv6ExtensionESPHeader::Deserialize(Buffer::Iterator start)
 {
-    /** \todo */
+    /** @todo */
     return 0;
 }
 
@@ -741,26 +741,26 @@
 void
 Ipv6ExtensionAHHeader::Print(std::ostream& os) const
 {
-    /** \todo */
+    /** @todo */
 }
 
 uint32_t
 Ipv6ExtensionAHHeader::GetSerializedSize() const
 {
-    /** \todo */
+    /** @todo */
     return 0;
 }
 
 void
 Ipv6ExtensionAHHeader::Serialize(Buffer::Iterator start) const
 {
-    /** \todo */
+    /** @todo */
 }
 
 uint32_t
 Ipv6ExtensionAHHeader::Deserialize(Buffer::Iterator start)
 {
-    /** \todo */
+    /** @todo */
     return 0;
 }
 
